Bug 28464 - 800x600 test screen when selecting 1600x1200 @ 24bit on GeForce 2
Summary: 800x600 test screen when selecting 1600x1200 @ 24bit on GeForce 2
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-20 15:48 UTC by Dan Taylor
Modified: 2007-04-18 16:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-08 21:08:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XFree86.9.log (21.80 KB, text/plain)
2001-03-05 14:22 UTC, Dan Taylor
no flags Details
XFree86.0.log (21.78 KB, text/plain)
2001-03-08 21:06 UTC, Dan Taylor
no flags Details

Description Dan Taylor 2001-02-20 15:48:04 UTC
Geforce2 video card. Dell P780 monitor.  When selecting 1600x1200 @ 24bit 
the sample X session that comes up is in 800x600@16bit.
Here is a portion of the XF86Config-4 file generated by Xconfigurator.  If 
you need the rest of it let me know.

Section "Screen"
	Identifier "Screen0"
	Device "NVIDIA GeForce 2 (generic)"
	Monitor "DELL P780"
	DefaultDepth 16
	Subsection "Display"
		Depth 24
		Modes "1600x1200"
	EndSubSection
	Subsection "Display"
		Depth 16
		Modes "640x480"
	EndSubSection
EndSection

If you change DefaultDepth to 24 X comes up correctly.

Comment 1 Preston Brown 2001-02-26 19:11:42 UTC
Yeah, I need to see the output aht gets logged to /var/log/XFree86.9.log.

Comment 2 Preston Brown 2001-03-05 05:04:34 UTC
can I please see /var/log/XFree86.9.log?  Without it, I can't help you or fix
this.

Comment 3 Dan Taylor 2001-03-05 14:22:03 UTC
Created attachment 11788 [details]
XFree86.9.log

Comment 4 Preston Brown 2001-03-08 19:14:58 UTC
These lines say it all:

(WW) NV(0): Default mode "1280x960" deleted (hsync out of range)
(WW) NV(0): Default mode "1280x1024" deleted (hsync out of range)
(WW) NV(0): Default mode "1400x1050" deleted (hsync out of range)
(WW) NV(0): Default mode "1600x1200" deleted (hsync out of range)
(WW) NV(0): Default mode "1600x1200" deleted (hsync out of range)
(WW) NV(0): Default mode "1600x1200" deleted (hsync out of range)
(WW) NV(0): Default mode "1792x1344" deleted (hsync out of range)
(WW) NV(0): Default mode "1856x1392" deleted (hsync out of range)
(WW) NV(0): Default mode "1856x1392" deleted (hsync out of range)
(WW) NV(0): Default mode "1920x1440" deleted (hsync out of range)
(WW) NV(0): Default mode "1920x1440" deleted (hsync out of range)

Those resolutions have a higher HSYNC requirement than the monitor you picked
can do (listed at 85 kHz).


Comment 5 Dan Taylor 2001-03-08 21:05:55 UTC
If I setup manually 1600x1200 works ok:

Section "Screen"
	Identifier "Screen0"
	Device "NVIDIA GeForce 2 (generic)"
	Monitor "DELL P780"
	DefaultDepth 24
	Subsection "Display"
		Depth 24
		Modes "1600x1200"
	EndSubSection
EndSection


Comment 6 Dan Taylor 2001-03-08 21:06:41 UTC
Created attachment 12130 [details]
XFree86.0.log

Comment 7 Dan Taylor 2001-03-08 21:08:24 UTC
Also, Im adding mick, fred & rogelio as they will be assuming all my bugs.

Comment 8 Preston Brown 2001-03-12 16:39:59 UTC
fixed in 4.9.20 and later.  Thanks for the report.



Note You need to log in before you can comment on or make changes to this bug.